Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am in Lubuntu Quantal and when trying to see LXPanel version I see the following:

~$ apt-cache policy lxpanel
lxpanel:
  Installed: 0.5.10+git20120823-0ubuntu1
  Candidate: 0.5.10+git20120823-0ubuntu1
  Version table:
 *** 0.5.10+git20120823-0ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ quantal/universe i386 Packages
        100 /var/lib/dpkg/status

dpkg -l lxpanel and Synaptic give the same info, while in PCmanFM Help/About it's 0.5.11.

enter image description here

What does this mean?

(This is related to this answer here.)

share|improve this question
add comment

1 Answer 1

up vote 3 down vote accepted

The changelog on this package will explain it. The current latest entry:

lxpanel (0.5.10+git20120823-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
   - Lxpanel doesn't use monochrome Keyboard LED indicators (LP: #1016014)
[...]

Means that the Ubuntu developers (package maintainers) have taken a new upstream snapshot of lxpanel to fix a bug. While this may not actually be 0.5.11 yet, the source of that snapshot will already contain new commits after the 0.5.10 was released and the state of the source code repository might already be in a prepare-for-0.5.11 state at that time.

A common reason for naming the package version slightly different is the current set of dependencies relying on a 0.5.10 version available, but if the ABI compatibility hasn't changed, the 0.5.11 version just works and naming it 0.5.10 in the package management saves a lot of trouble in shipping out more updates with just a line of dependency changed.

However, if package maintainers decide on this, they usually version tag it like this: phonon version 4:4.7.0really4.6.0-0ubuntu1. In this case the 0.5.11 version might not have been out yet, so they just use the git20120823 suffix to mention the upstream version not yet released.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.